%define pypi_name hid-parser

%bcond_without check

Name:           python-hid-parser
Version:        0.0.3
Release:        %mkrel -c git20211206 1
Summary:        Parse HID report descriptors
License:        MIT
Group:          Development/Python
URL:            https://github.com/usb-tools/python-hid-parser
Source0:        https://github.com/usb-tools/python-hid-parser/archive/%{version}/%{name}-%{version}.tar.gz
Patch0:         python-hid-parser-sync-git-as-2021-12-06_4b7944f.patch
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  pkgconfig(python3)

%description
python-hid-parser is a typed pure Python library to parse HID report
descriptors.

%package     -n python3-%{pypi_name}
Summary:        Parse HID report descriptors
Group:          Development/Python

%description -n python3-%{pypi_name}
python-hid-parser is a typed pure Python library to parse HID report
descriptors.

%prep
%autosetup -p1

%generate_buildrequires
%if %{with check}
%pyproject_buildrequires -x test
%else
%pyproject_buildrequires
%endif

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files hid_parser

%if %{with check}
%check
%pytest
%endif

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.md
%license LICENSE


%changelog
* Tue Apr 16 2024 daviddavid <daviddavid> 0.0.3-0.git20211206.1.mga9
+ Revision: 2057995
- let's have it for Mageia 9 too (mga#33104)

* Tue Apr 16 2024 daviddavid <daviddavid> 0.0.3-0.git20211206.1.mga10
+ Revision: 2057983
- initial package python-hid-parser (needed for solaar)

